cascading.stats.hadoop

## Class HadoopNodeCounterCache

- java.lang.Object
- - cascading.stats.CounterCache<Configuration,JobStatus,Counters>
  - - cascading.stats.hadoop.HadoopCounterCache<FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>
    - - cascading.stats.hadoop.HadoopNodeCounterCache

-     public class HadoopNodeCounterCache
      extends HadoopCounterCache<FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>

- - ### Field Summary

    - ### Fields inherited from class cascading.stats.CounterCache

      `configuration, COUNTER_FETCH_RETRIES_PROPERTY, COUNTER_MAX_AGE_PROPERTY, COUNTER_TIMEOUT_PROPERTY, DEFAULT_CACHED_AGE_MAX, DEFAULT_FETCH_RETRIES, DEFAULT_NODE_CACHED_AGE_MAX, DEFAULT_TIMEOUT_TIMEOUT_SEC, fetchAttempts, maxAge, maxFetchAttempts, NODE_COUNTER_MAX_AGE_PROPERTY, timeout`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HadoopNodeCounterCache(FlowNodeStats flowNodeStats, Configuration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `areCountersAvailable(FlowNodeStats runningJob)`
    `protected java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>` | `getCounters(FlowNodeStats flowNodeStats)`
    `protected java.util.Set<java.lang.String>` | `getCountersFor(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters, java.lang.String group)`
    `protected long` | `getCounterValue(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters, java.lang.Enum counter)`
    `protected long` | `getCounterValue(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters, java.lang.String groupName, java.lang.String counterName)`
    `protected java.util.Collection<java.lang.String>` | `getGroupNames(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> groups)`
    `protected FlowNodeStats` | `getJobStatusClient()`

    - ### Methods inherited from class cascading.stats.hadoop.HadoopCounterCache

      `getIntProperty`

    - ### Methods inherited from class cascading.stats.CounterCache

      `cachedCounters, cachedCounters, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCounterValue, getCounterValue, getLastSuccessfulFetch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopNodeCounterCache

          protected HadoopNodeCounterCache(FlowNodeStats flowNodeStats,
                                Configuration configuration)

  - ### Method Detail

    - #### getJobStatusClient

          protected FlowNodeStats getJobStatusClient()

      Specified by:
        `getJobStatusClient` in class `CounterCache<Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>`

    - #### areCountersAvailable

          protected boolean areCountersAvailable(FlowNodeStats runningJob)

      Specified by:
        `areCountersAvailable` in class `CounterCache<Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>`

    - #### getCounters

          protected java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> getCounters(FlowNodeStats flowNodeStats)
                                                                                                        throws java.io.IOException

      Specified by:
        `getCounters` in class `CounterCache<Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>`
      Throws:
        `java.io.IOException`

    - #### getGroupNames

          protected java.util.Collection<java.lang.String> getGroupNames(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> groups)

      Specified by:
        `getGroupNames` in class `CounterCache<Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>`

    - #### getCountersFor

          protected java.util.Set<java.lang.String> getCountersFor(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters,
                                                       java.lang.String group)

      Specified by:
        `getCountersFor` in class `CounterCache<Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>`

    - #### getCounterValue

          protected long getCounterValue(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters,
                             java.lang.Enum counter)

      Specified by:
        `getCounterValue` in class `CounterCache<Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>`

    - #### getCounterValue

          protected long getCounterValue(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters,
                             java.lang.String groupName,
                             java.lang.String counterName)

      Specified by:
        `getCounterValue` in class `CounterCache<Configuration,FlowNodeStats,java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.